Bug 187599 - Netbeans incorrectly computes web service URL for WebLogic server in EJB project
Netbeans incorrectly computes web service URL for WebLogic server in EJB project
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: JAX-WS
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Milan Kuchtiak
issues@webservices
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 13:01 UTC by Milan Kuchtiak
Modified: 2010-07-19 09:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kuchtiak 2010-06-15 13:01:37 UTC
The URL must follow the schema:
http://host:port/portName/serviceName

Now the URL for web service is set in opposite way:
http://host:port/serviceName/portName
Comment 2 Quality Engineering 2010-06-18 03:19:36 UTC
Integrated into 'main-golden', will be available in build *201006180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6a5fd70aef8a
User: mkuchtiak@netbeans.org
Log: #187599 : use WSStack API to compute URL for web service
Comment 3 rbalada 2010-06-24 21:31:02 UTC
main #3b6f4e0e58a3 transplanted to release691 #157919640e1f
main #6a5fd70aef8a transplanted to release691 #c9031d91d470
main #79c385f847b0 transplanted to release691 #526f146c1a8a


Jardo, please verify A.S.A.P.

Thanks,
-R
Comment 4 rbalada 2010-06-25 06:16:31 UTC
Last chance for inclusion in release691.

Please verify within 4 hours from now, since I have got limited time to transplant remaining bugfixes into release691 repository. June 25, 1 PM Prague time is my deadline. After that time, please do also the transplant/porting work if you want to include it.

Thank you for understanding,
-R
Comment 5 Jaroslav Pospisil 2010-06-28 08:34:31 UTC
The bug was verified on July 25th and communicated with RE,since temporary bugzilla outage prohibited to add comment.Fix is in NB6.9.1 already.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo